aboutsummaryrefslogtreecommitdiffstats
path: root/hm/soispha/pkgs/scripts/small_functions
diff options
context:
space:
mode:
Diffstat (limited to 'hm/soispha/pkgs/scripts/small_functions')
-rwxr-xr-xhm/soispha/pkgs/scripts/small_functions/screenshot_persistent.sh19
-rwxr-xr-xhm/soispha/pkgs/scripts/small_functions/update-sys.sh87
2 files changed, 51 insertions, 55 deletions
diff --git a/hm/soispha/pkgs/scripts/small_functions/screenshot_persistent.sh b/hm/soispha/pkgs/scripts/small_functions/screenshot_persistent.sh
index 9e73bed3..5992e02f 100755
--- a/hm/soispha/pkgs/scripts/small_functions/screenshot_persistent.sh
+++ b/hm/soispha/pkgs/scripts/small_functions/screenshot_persistent.sh
@@ -6,20 +6,17 @@ SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
# only generate a path (this could lead to a time-of-check/time-of-use bug)
tmp="$(mktmp --dry-run)"
-if grim -g "$(slurp)" "$tmp"
-then
- name="$(rofi -dmenu -p "Name of screenshot: " -l 0)";
- screen_shot_path="$HOME/media/pictures/screenshots/$name.png";
- while [ -f "$screen_shot_path" ]
- do
+if grim -g "$(slurp)" "$tmp"; then
+ name="$(rofi -dmenu -p "Name of screenshot: " -l 0)"
+ screen_shot_path="$HOME/media/pictures/screenshots/$name.png"
+ while [ -f "$screen_shot_path" ]; do
notify-send "Warning" 'Screenshot name already in use!'
- name="$(rofi -dmenu -p "New name of screenshot: " -l 0)";
- screen_shot_path="$HOME/media/pictures/screenshots/$name.png";
+ name="$(rofi -dmenu -p "New name of screenshot: " -l 0)"
+ screen_shot_path="$HOME/media/pictures/screenshots/$name.png"
done
- mv "$tmp" "$screen_shot_path";
- alacritty -e lf -command ":{{ set sortby atime; set reverse!; }}";
+ mv "$tmp" "$screen_shot_path"
+ alacritty -e lf -command ":{{ set sortby atime; set reverse!; }}"
fi
-
# vim: ft=sh
diff --git a/hm/soispha/pkgs/scripts/small_functions/update-sys.sh b/hm/soispha/pkgs/scripts/small_functions/update-sys.sh
index 20e38841..68fb342d 100755
--- a/hm/soispha/pkgs/scripts/small_functions/update-sys.sh
+++ b/hm/soispha/pkgs/scripts/small_functions/update-sys.sh
@@ -4,7 +4,7 @@
SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
help() {
- cat << EOF
+ cat <<EOF
This is a NixOS System flake update manager.
Usage:
@@ -18,61 +18,60 @@ Options:
--help | -h
output this help.
EOF
- exit "$1";
+ exit "$1"
}
-default_branch=$(mktmp);
-BRANCH="";
+default_branch=$(mktmp)
+BRANCH=""
-while [ "$#" -gt 0 ];do
+while [ "$#" -gt 0 ]; do
case "$1" in
- "--help" | "-h")
- help 0;
- ;;
- "--branch" | "-b")
- if [ -n "$2" ];then
- BRANCH="$2";
- else
- error "$1 requires an argument";
- help 1;
- fi
- shift 2;
- ;;
- "--mode" | "-m")
- if [ -n "$2" ];then
- MODE="$2";
- else
- error "$1 requires an argument";
- help 1;
- fi
- shift 2;
- ;;
- *)
- error "the option $1 does not exist!";
- help 1;
- ;;
+ "--help" | "-h")
+ help 0
+ ;;
+ "--branch" | "-b")
+ if [ -n "$2" ]; then
+ BRANCH="$2"
+ else
+ error "$1 requires an argument"
+ help 1
+ fi
+ shift 2
+ ;;
+ "--mode" | "-m")
+ if [ -n "$2" ]; then
+ MODE="$2"
+ else
+ error "$1 requires an argument"
+ help 1
+ fi
+ shift 2
+ ;;
+ *)
+ error "the option $1 does not exist!"
+ help 1
+ ;;
esac
done
-
-cd /etc/nixos || die "No /etc/nixos";
-msg "Starting system update...";
-git remote update origin --prune > /dev/null 2>&1;
-if ! [ "$BRANCH" = "" ];then
- git switch "$BRANCH" > /dev/null 2>&1 && msg2 "Switched to branch '$BRANCH'";
+cd /etc/nixos || die "No /etc/nixos"
+msg "Starting system update..."
+git remote update origin --prune >/dev/null 2>&1
+if ! [ "$BRANCH" = "" ]; then
+ git switch "$BRANCH" >/dev/null 2>&1 && msg2 "Switched to branch '$BRANCH'"
fi
-msg2 "Updating git repository...";
-git pull --rebase;
+msg2 "Updating git repository..."
+git pull --rebase
-git remote show origin | grep 'HEAD' | cut -d':' -f2 | sed -e 's/^ *//g' -e 's/ *$//g' > "$default_branch" &
+git remote show origin | grep 'HEAD' | cut -d':' -f2 | sed -e 's/^ *//g' -e 's/ *$//g' >"$default_branch" &
-msg2 "Updating system...";
+msg2 "Updating system..."
if [ -n "$MODE" ]; then
- nixos-rebuild "$MODE";
+ nixos-rebuild "$MODE"
else
- nixos-rebuild switch;
+ nixos-rebuild switch
fi
-git switch "$(cat "$default_branch")" > /dev/null 2>&1 && msg2 "Switched to branch '$(cat "$default_branch")'";
-msg "Finished Update!";
+git switch "$(cat "$default_branch")" >/dev/null 2>&1 && msg2 "Switched to branch '$(cat "$default_branch")'"
+msg "Finished Update!"
# vim: ft=sh